MAPITests 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
mapitest Struct Reference

The context structure for a mapitest run. More...

`#include <mapitest.h>`

## Data Fields
bool | color
bool | confidential
bool | mapi_all
struct mapi_context * | mapi_ctx
struct mapitest_suite * | mapi_suite
TALLOC_CTX * | mem_ctx
bool | no_server
bool | online
bool | subunit_output

## Detailed Description

The context structure for a mapitest run.

## Field Documentation

bool mapitest::color

true if the output should be colored

Referenced by main(), mapitest_print_retval(), mapitest_print_retval_clean(), mapitest_print_retval_fmt(), mapitest_print_retval_fmt_clean(), mapitest_print_retval_step(), and mapitest_print_retval_step_fmt().

bool mapitest::confidential

true if confidential information should be omitted

Referenced by main(), mapitest_print_headers_info(), and mapitest_print_headers_server_info().

bool mapitest::mapi_all

true if all tests should be run

Referenced by main().

struct mapi_context* mapitest::mapi_ctx

mapi context

Referenced by main(), mapitest_nspi_DNToMId(), mapitest_nspi_GetMatches(), mapitest_nspi_GetPropList(), mapitest_nspi_GetProps(), mapitest_nspi_ModProps(), mapitest_nspi_QueryRows(), mapitest_oxcfold_GetSearchCriteria(), mapitest_oxcfold_HardDeleteMessages(), mapitest_oxcfold_MoveCopyMessages(), mapitest_oxcfold_SetSearchCriteria(), mapitest_oxcfxics_CopyMessages(), and mapitest_oxcfxics_CopyTo().

struct mapitest_suite* mapitest::mapi_suite

the various test suites

Referenced by mapitest_run_all(), mapitest_run_test(), mapitest_stat_dump(), mapitest_suite_find(), and mapitest_suite_register().

TALLOC_CTX* mapitest::mem_ctx

talloc memory context for memory allocations

Referenced by main(), mapitest_common_create_filled_test_folder(), mapitest_common_find_folder(), mapitest_common_message_delete_by_subject(), mapitest_common_message_fill(), mapitest_common_setup(), mapitest_mapidump_appointment(), mapitest_mapidump_contact(), mapitest_mapidump_foldercreated(), mapitest_mapidump_freebusy(), mapitest_mapidump_message(), mapitest_mapidump_messagecreated(), mapitest_mapidump_messagemodified(), mapitest_mapidump_note(), mapitest_mapidump_pabentry(), mapitest_mapidump_recipients(), mapitest_mapidump_sproptagarray(), mapitest_mapidump_spropvalue(), mapitest_mapidump_srowset(), mapitest_mapidump_task(), mapitest_noserver_lzfu(), mapitest_noserver_mapi_properties(), mapitest_noserver_rtfcp(), mapitest_noserver_rtfcp_large(), mapitest_nspi_GetGALTable(), mapitest_nspi_GetPropList(), mapitest_nspi_GetSpecialTable(), mapitest_nspi_ModLinkAtt(), mapitest_nspi_ResolveNames(), mapitest_oxcfold_HardDeleteMessages(), mapitest_oxcfold_MoveCopyMessages(), mapitest_oxcfxics_CopyFolder(), mapitest_oxcfxics_CopyMessages(), mapitest_oxcfxics_CopyProperties(), mapitest_oxcfxics_CopyTo(), mapitest_oxcfxics_GetLocalReplicaIds(), mapitest_oxcfxics_SetLocalReplicaMidsetDeleted(), mapitest_oxcfxics_SyncConfigure(), mapitest_oxcmsg_GetMessageStatus(), mapitest_oxcmsg_ModifyRecipients(), mapitest_oxcmsg_ReadRecipients(), mapitest_oxcmsg_RemoveAllRecipients(), mapitest_oxcmsg_SetMessageReadFlag(), mapitest_oxcmsg_SetMessageStatus(), mapitest_oxcmsg_SetReadFlags(), mapitest_oxcperm_GetPermissionsTable(), mapitest_oxcperm_ModifyPermissions(), mapitest_oxcprpt_CopyProps(), mapitest_oxcprpt_CopyTo(), mapitest_oxcprpt_CopyToStream(), mapitest_oxcprpt_DeleteProps(), mapitest_oxcprpt_GetPropList(), mapitest_oxcprpt_GetProps(), mapitest_oxcprpt_NameId(), mapitest_oxcprpt_NameId_PSMAPI(), mapitest_oxcprpt_NoReplicate(), mapitest_oxcprpt_SetProps(), mapitest_oxcprpt_Stream(), mapitest_oxcprpt_WriteAndCommitStream(), mapitest_oxctable_Category(), mapitest_oxctable_CreateBookmark(), mapitest_oxctable_QueryRows(), mapitest_oxctable_SeekRowBookmark(), mapitest_oxctable_SetColumns(), mapitest_oxomsg_TransportSend(), mapitest_print_module_title_start(), mapitest_print_test_title_start(), mapitest_suite_init(), and mapitest_suite_register().

bool mapitest::no_server

true if only non-server tests should be run

Referenced by main(), and mapitest_print_headers().

bool mapitest::online

true if the server could be accessed

Referenced by main(), mapitest_print_headers_server_info(), mapitest_run_all(), and mapitest_run_test().

bool mapitest::subunit_output

true if we should write output in subunit protocol format

Referenced by main(), mapitest_print(), mapitest_print_headers(), mapitest_print_line(), mapitest_print_newline(), mapitest_print_PAB_entry(), mapitest_print_retval(), mapitest_print_retval_clean(), mapitest_print_SPropValue(), mapitest_print_SRowSet(), mapitest_print_test_result(), mapitest_print_test_title_start(), and mapitest_print_title().

The documentation for this struct was generated from the following file:

- utils/mapitest/mapitest.h

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/